#!/bin/sh

# Generic application update.
# Whatever versions of backend, display, and message are in this folder
# will be installed on the target system.

# make sure lcd backlight is on
echo 100 > /sys/class/backlight/backlight/brightness

# install files
cp -p ./backend ${DRISTEEM}/bin/
cp -p ./display ${DRISTEEM}/bin/
cp -p ./message ${DRISTEEM}/bin/

# additional files for systemd service restart
cp -p ./led_red.sh $DRISTEEM/bin/led_red.sh
chmod +x $DRISTEEM/bin/led_red.sh
cp -p ./dristeem-fail.service /etc/systemd/system/dristeem-fail.service

# update dristeem-app service
cp -p ./dristeem-app.service $DRISTEEM/etc/dristeem-app.service

# install dristeem-app as dristeem systemd service
# to be run when usb key is removed
cp -p $DRISTEEM/etc/dristeem-app.service /etc/systemd/system/dristeem.service

# restart the app service to indicate upgrade done
systemctl daemon-reload
systemctl restart dristeem

